import java.awt.Container;
import javax.swing.*;

public class H3AL9_2000 extends JApplet
{
JTextArea ciktiAlani;

public void init()
{
  ciktiAlani=new JTextArea();
  Container c=getContentPane();
  c.add(ciktiAlani);
  int x1=7;
  double x2=7.0;
  ciktiAlani.setText(" exp ("+x1+")  (int metod girdisi ) = "+exp(x1)+"\n");
  ciktiAlani.append(" exp ("+x2+")  (double metod girdisi) = "+exp(x2)+"\n");
  x1=5;
  x2=5.0;
  ciktiAlani.append(" exp ("+x1+")  (int metod girdisi ) = "+exp(x1)+"\n");
  ciktiAlani.append(" exp ("+x2+")  (double metod girdisi) = "+exp(x2)+"\n");
}

// double girisli exp metodu
public double exp(double x)
    {
        double faktoriyel=1;
        double us=1;
        double exponent=1;
        for(double i=1;i<=300;i++)
        {
          faktoriyel*=i;
          us*=x;
          exponent+=us/faktoriyel;
        }
    return exponent;
    }

// int girişli exp metodu
public double exp(int x)
    {
        double exponent=1.0;
        for(int i=1;i<=x;i++)
        {
          exponent*=Math.E;
        }
    return exponent;
    }
}

